import pandas

pandas.set_option('display.unicode.east_asian_width', True)

df = pandas.read_csv('c6_c02.csv', encoding='shift-jis')
df2 = df.loc[:, ['西暦（年）', '年齢5歳階級', '人口（総数）']]
df3 = df2.loc[df2['年齢5歳階級'] != '総数']

rank = df3['年齢5歳階級'].replace('[〜|歳以上].*', '', regex=True)
rank.name = 'rank'
rank = pandas.to_numeric(rank, errors='coerce')
df4 = pandas.concat([df3, rank], axis=1)
print(df4)
